Bug 207468 - Crash when starting Abiword
Crash when starting Abiword
Product: Fedora
Classification: Fedora
Component: abiword (Show other bugs)
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-09-21 05:52 EDT by Håvard Wigtil
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-24 05:04:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Håvard Wigtil 2006-09-21 05:52:18 EDT
Description of problem:
When I start Abiword, I get a crash immediately, before any window is shown.
I'm pretty sure that Abiword has worked for me before on FC5, that's why I'm
putting this here instead of upstream.

Version-Release number of selected component (if applicable):


[havardw@lupus ~]$ gdb abiword
GNU gdb Red Hat Linux (
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host libthread_db
library "/lib/libthread_db.so.1".

(gdb) run
Starting program: /usr/bin/abiword
Reading symbols from shared object read from target memory...done.
Loaded system supplied DSO at 0xbb1000
[Thread debugging using libthread_db enabled]
[New Thread -1208834352 (LWP 25121)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208834352 (LWP 25121)]
FcStrBufString (buf=0xbfee23e4, s=0x0) at fcstr.c:736
736         while ((c = *s++))
Current language:  auto; currently c
(gdb) thread apply all bt

Thread 1 (Thread -1208834352 (LWP 25121)):
#0  FcStrBufString (buf=0xbfee23e4, s=0x0) at fcstr.c:736
#1  0x00183433 in FcNameUnparseLangSet (buf=0xbfee23e4, ls=0xb7cbefb0) at
#2  0x00189246 in FcNameUnparseValueList (buf=0xbfee23e4, v={bank = 1502243225,
u = {stat = 40, dyn = 0x28}}, escape=0x19d52b "\\=_:,")
    at fcname.c:809
#3  0x00189507 in FcNameUnparseEscaped (pat=0xb7f1a004, escape=1) at fcname.c:885
#4  0x00189575 in FcNameUnparse (pat=0xb7f1a004) at fcname.c:838
#5  0x0823d583 in XAP_UnixFontManager::scavengeFonts (this=0x87ead90) at
#6  0x0823d84b in XAP_UnixFontManager (this=0x87ead90) at xap_UnixFontManager.cpp:49
#7  0x082389e2 in XAP_UnixApp::_loadFonts (this=0x8757148) at xap_UnixApp.cpp:248
#8  0x08238b52 in XAP_UnixApp::initialize (this=0x8757148,
szKeyBindingsKey=0x83f419e "KeyBindings",
    szKeyBindingsDefaultValue=0x83eb435 "default") at xap_UnixApp.cpp:155
#9  0x08145101 in AP_App::initialize (this=0x8757148) at ap_App.cpp:104
#10 0x0813e32e in AP_UnixApp::initialize (this=0x8757148, has_display=true) at
#11 0x0813faa0 in AP_UnixApp::main (szAppName=0x83eb3c7 "AbiWord", argc=1,
argv=0xbfee47c4) at ap_UnixApp.cpp:1445
#12 0x0813bc6a in main (argc=-1074912264, argv=0x0) at UnixMain.cpp:26
Comment 1 Marc Maurer 2007-03-11 10:48:27 EDT
Reporter: could you try 2.4.6?
Comment 2 Håvard Wigtil 2007-03-24 05:04:04 EDT
2.4.6 works for me on Fedora Core 6. I get a crash on Fedora 7, but with a
different trace, so I'll file a separate bug for this.

Note You need to log in before you can comment on or make changes to this bug.